# Policyfile.rb - Describe how you want Chef Infra Client to build your system.
#
# For more information on the Policyfile feature, visit
# https://docs.chef.io/policyfile/

# A name that describes what the system you're building with Chef does.
name 'base'

# Where to find external cookbooks:
default_source :supermarket
default_source :chef_repo, './cookbooks'

# run_list: chef-client will run these recipes in the order specified.
run_list [
  'workstation::default',
]

# Kitchen-test suite
named_run_list :complete, [
  'resolver_config::_dokken',
] + run_list

named_run_list :git, [
  'resolver_config::_dokken',
  'workstation::_git',
]

named_run_list :apt, [
  'resolver_config::_dokken',
  'apt_repositories::_official',
  'apt_repositories::_genie',
  'apt_repositories::_terraform',
]

named_run_list :user, [
  'workstation::_user',
]

named_run_list :terraform, [
  'resolver_config::_dokken',
  'workstation::_terraform',
]

named_run_list :podman, [
  'resolver_config::_dokken',
  'workstation::_podman',
]

named_run_list :genie, [
  'resolver_config::_dokken',
  'workstation::_genie',
]

named_run_list :packages, @named_run_lists[:apt] + [
  'resolver_config::_dokken',
  'workstation::_packages',
]

# Specify a custom source for a single cookbook:
# cookbook 'example_cookbook', path: '../cookbooks/example_cookbook'
#cookbook 'etckeeper', git: 'https://github.com/pioneerit/etckeeper-cookbook'
cookbook 'etckeeper', git: 'https://github.com/jmauro/etckeeper-cookbook', branch: 'master-next'
cookbook 'git', git: 'https://github.com/jmauro/git', branch: 'config_file_scope'
cookbook 'resolver', git: 'https://github.com/jmauro/resolver', branch: 'atomic_update'

# Global attributes
default['my_workstation']['default_user']['jeremy'] = {
  'home': '/home/jeremy',
  'shell': '/bin/bash',
  'manage_home': true,
}
