#
# Cookbook:: workstation
# Recipe:: _podman
#
# Copyright:: 2022, The Authors, All Rights Reserved.

include_recipe 'apt_repositories::_packages'

key_path = '/etc/apt/trusted.gpg.d'
gpg_key = ::File.join(key_path, 'wsl-transdebian.gpg')
remote_file gpg_key do
  source 'https://arkane-systems.github.io/wsl-transdebian/apt/wsl-transdebian.gpg'
  action :create_if_missing
end

apt_repository 'wsl_transdebian' do
  arch 'amd64'
  uri 'https://arkane-systems.github.io/wsl-transdebian/apt/'
  distribution lazy { Mixlib::ShellOut.new('lsb_release -cs').run_command.stdout.chomp }
  components ['main']
  deb_src true
  action :add
end
