#
# Cookbook:: gateway
# Recipe:: default
#
# Copyright:: 2022, The Authors, All Rights Reserved.

# Enable json file reports
chef_handler 'Chef::Handler::JsonFile' do
  source 'chef/handler/json_file'
  arguments path: '/var/chef/reports'
  action :enable
end
# Setup etckeeper
include_recipe 'etckeeper'
include_recipe 'etckeeper::commit'

# Configure repo
include_recipe 'apt_repositories::_official'

# Setup podman
include_recipe 'podman'

# Setup 'git'
include_recipe 'gateway::_git'

# Add defaut packages
include_recipe 'gateway::_packages'


# Patching /etc
include_recipe 'gateway::_system_patch'

# Setting up Time zone && NTP
include_recipe 'gateway::_ntp'
