#
# Cookbook:: workstation
# Recipe:: _podman
#
# Copyright:: 2022, The Authors, All Rights Reserved.


remote_file ::File.join(Chef::Config['file_cache_path'], 'devel_kubic_libcontainer_stable.key') do
  source 'https://download.opensuse.org/repositories/devel:kubic:libcontainers:stable/Debian_Unstable/Release.key'
  action :delete
end

key_path = '/etc/apt/trusted.gpg.d'
key_stable = ::File.join(key_path, 'devel_kubic_libcontainers_stable.gpg')

file key_stable do
  action :delete
end

apt_repository 'devel_kubic_libcontainer_stable' do
  arch 'amd64'
  uri 'http://download.opensuse.org/repositories/devel:/kubic:/libcontainers:/stable/Debian_11/'
  distribution '/'
  deb_src true
  action :remove
end
