default['workstation']['_git']['hooksPath'] = '${HOME}/git-templates/hooks'
default['workstation']['_git']['scope']['system'] = {
  'color.ui': true,
  'color.diff': 'auto',
  'color.status': 'auto',
  'color.branch': 'auto',
  'color.interactive': 'auto',
  'status.submodulesummary': true,
  'fetch.recursesubmodules': true,
  'rebase.stat': true,
  'help.autocorrect': '10',
  'commit.verbose': true,
  'alias.gol': %Q{log --graph --pretty=format:'%C(yellow)%h%Creset%C(red)%d%Creset %s %Cgreen(%cr) %C(bold blue)<%an>%Creset' --abbrev-commit --date=relative},
  'alias.commit': '--signoff',
  'alias.com': 'commit --signoff',
  'alias.coma': 'commit --signoff --amend',
  'alias.push': '--verbose --tags',
  'alias.pull': '--verbose',
  'alias.co': 'checkout',
  'alias.br': 'branch --all --verbose',
  'alias.s': 'status --short --branch',
  'include.path': '~/.gitconfig',
  'user.email': "jeremy@#{node['hostname']}",
  'user.name': 'Jeremy from WSL2',
  'pull.rebase': 'preserve',
  'core.hooksPath': node['workstation']['_git']['hooksPath'],
}

# We don't use hash because keys such as "includeif.gitdir" are not uniq
default['workstation']['_git']['scope']['global'] = {
  'core.sshcommand': '/usr/sbin/ssh-ident',
  'user.email': 'jeremy.mauro@gmail.com',
  'user.name': 'Jeremy MAURO',
  'includeif.gitdir:~/repo/aviatrix/.path': '~/.gitconfig-work',
  'includeif.gitdir:~/repo/personal/.path': '~/.gitconfig-personal',
  'url.git@github.com': '.insteadof=https://github.com/',
}

default['workstation']['_git']['file_~/.gitconfig-personal'] = {
  'user.email': 'jeremy.mauro@gmail.com',
  'user.name': 'Jeremy MAURO',
  'user.signingkey': 'FA2D8E280A6DD533',
}

default['workstation']['_git']['scope']['file_~/.gitconfig-work'] = {
  'user.email': 'jmauro@aviatrix.com',
  'user.name': 'Jeremy MAURO',
}
