#
# Cookbook:: workstation
# Recipe:: default
#
# Copyright:: 2022, The Authors, All Rights Reserved.

# Enable json file reports
chef_handler 'Chef::Handler::JsonFile' do
  source 'chef/handler/json_file'
  arguments path: '/var/chef/reports'
  action :enable
end
# First let's put handler first
include_recipe 'etckeeper'
include_recipe 'etckeeper::commit'

# Configure repo
include_recipe 'apt_repositories::_official'

# Setup podman
include_recipe 'workstation::_podman'

# Install 'systemd-genie'
include_recipe 'workstation::_genie'

# Add defaut packages
include_recipe 'workstation::_packages'

# Setup terraform
include_recipe 'workstation::_terraform'

# User creation and directories
include_recipe 'workstation::_user'

# Setup 'git'
include_recipe 'workstation::_git'

